Subject: Re: Error code for Max no Term in a context exceeded

From: "Taylor, Tom-PT" <[email-masked]>
Date: Mon, 20 Nov 2000 14:25:51 -0500

A bit late for me to chime in here, but I'm a little concerned about the
process for describing new error codes vs. your suggestions.  Specifically,
we need to document the codes and register them with IANA.  I wouldn't
consider the Implementor's Guide a proper vehicle for documentation except
on a temporary basis.  Annex L is good for the first batch.  What about new
codes after that, if they are not documented in packages?  Maybe the process
is:
  -- document in Implementor's Guide pending incorporation into the next
issue of Annex L
  -- register with IANA, referring to Implementor's Guide for documentation
  -- update documentation reference at IANA when Annex L is updated
(presumably as a general update of H.248).

> -----Original Message-----
> From: Christian Groves [mailto:[email-masked]]
> Sent: Thursday, October 19, 2000 8:31 PM
> To: [email-masked]
> Subject: Error code for Max no Term in a context exceeded
>
>
> G'Day all,
>
> I had a question of:
> In H.248, what Error code should be used to indicate
> that a context already has the max number of terminations
> in it?
>
> e.g. MG supports a max of 2 terminations per context;
> MGC performs an ADD{C1, (T3)} to context C1 which already
> has T1 and T2 in it.
>
> I couldn't find a appropriate error code. The closest would be
> "Insufficient Resources" but I'm not sure it really covers this case.
>
> As such I propose either an addition to H.248 Annex L or the
> implementors' guide with something  like the following text:
>
> Error Code #: 434  Name: Max number of Terminations in a Context
> exceeded.
> Definition: The MGC has requested that a termination be added or moved
> to a context that already contains a maximum number of termination.
> Package: -
>
> Cheers, Christian
>

---

From: Christian Groves <[email-masked]>
Date: Wed, 22 Nov 2000 04:32:02 +1100

G'Day Tom,

I agree with your concerns. I wouldn't add "error code xxx - Fred has
gone home" to the implementors' guide as it application specific and
should be in a package. Anything that should have been part of the core
protocol which I think the one below should have been could be in the
Implementors' guide and annex L.

I think your proposal below is OK.

Cheers, Christian